%undefine __cmake_in_source_build

Summary:  KDE Frameworks 5 Tier 2 addon for handling application crashes
Name:     kf5-kcrash
Version:  5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+
URL:      https://invent.kde.org/frameworks/kcrash
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kcrash-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  libX11-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtx11extras-devel

%description
KCrash provides support for intercepting and handling application crashes.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kcrash-%{version} -p1


%build
%{cmake_kf5} \
  -DKCRASH_CORE_PATTERN_RAISE:BOOL=OFF
%cmake_build


%install
%cmake_install

%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Crash.so.*
%{_kf5_datadir}/qlogging-categories5/kcrash.*

%files devel
%{_kf5_libdir}/libKF5Crash.so
%{_kf5_libdir}/cmake/KF5Crash/
%{_kf5_includedir}/KCrash/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCrash.pri


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
